aboutsummaryrefslogtreecommitdiff
path: root/tools/doxygen-publish.sh
diff options
context:
space:
mode:
authorRiccardo Spagni <ric@spagni.net>2015-04-02 17:43:38 +0200
committerRiccardo Spagni <ric@spagni.net>2015-04-02 17:43:43 +0200
commit6f0d93097e3fbe9b1101e90ad1adc718a18263aa (patch)
treeb5a2189ee6cbdd6f8ba57cd1d46edac7ac599ee3 /tools/doxygen-publish.sh
parentMerge pull request #251 (diff)
parentNetwork 1.7; Quieted the debug a bit. (diff)
downloadmonero-6f0d93097e3fbe9b1101e90ad1adc718a18263aa.tar.xz
Merge pull request #252
618f20c Network 1.7; Quieted the debug a bit. (rfree2monero) 391c7f9 Utils: use const, document dbg. Less default debug (rfree2monero) 44f4234 [fix] mac os x includes std::random... (rfree2monero) 162c993 Network 1.6: network limits, logging, +doxy (rfree2monero) a3b2226 my changelog (rfree2monero) 2900b1e doxygen files (rfree2monero) 1489310 doxygen related tool (rfree2monero) f9dba47 added windows_stream.* console colors (rfree2monero) c511abf remerged; commands JSON. logging upgrade. doxygen (rfree2monero) f79821a fix locking in count-peers thread (2) (rfree2monero) 0198ffb 2014 network limit 1.3 fix log/path/data +utils (rfree2monero) ae2a506 2014 network limit 1.2 +utils +toc -doc -drmonero (rfree2monero) 0f06dca fixed size_t on windows (rfree2monero) 39fc63f removed not needed <netinet/in.h> (rfree2monero) 5ce4256 2014 network limit 1.1 +utils +toc -doc -drmonero (rfree2monero) eabb519 2014 network limit 1.0a +utils +toc -doc -drmonero (rfree2monero)
Diffstat (limited to 'tools/doxygen-publish.sh')
-rwxr-xr-xtools/doxygen-publish.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tools/doxygen-publish.sh b/tools/doxygen-publish.sh
new file mode 100755
index 000000000..ad02e2834
--- /dev/null
+++ b/tools/doxygen-publish.sh
@@ -0,0 +1,25 @@
+#!/bin/bash -e
+
+# maintainer (ask me any questions): rfree
+
+if [[ ! -r "Doxyfile" ]] ; then
+ echo "Error, can not read the Doxyfile - make sure to run this script from top of monero project, where the Doxyfile file is located"
+ exit 1
+fi
+
+wwwdir="$HOME/monero-www/"
+if [[ ! -w "$wwwdir" ]] ; then
+ echo "Error, can not write into wwwdir=$wwwdir. It should be a directory readable/connected to your webserver, or a symlink to such directory"
+ exit 1
+fi
+
+if [[ ! -d "$wwwdir/doc" ]] ; then
+ echo "Creating subdirs"
+ mkdir "$wwwdir/doc"
+fi
+
+echo "Generating:"
+doxygen Doxyfile && echo "Backup previous version:" && rm -rf ~/monero-www-previous && mv "$wwwdir/doc" ~/monero-www-previous && cp -ar doc/ "$wwwdir/" && echo "Done, builded and copied to public - the doxygen docs" && echo "size:" && du -Dsh "$wwwdir/" && echo "files:" && find "$wwwdir/" | wc -l
+
+
+